Subject: Re: [PATCH] Documentation: update git-pull.txt for clone's new default behavior

From: Theodore Tso <[email-masked]>
Date: Mon, 1 Jan 2007 19:57:08 -0500

On Mon, Jan 01, 2007 at 07:10:44PM -0500, J. Bruce Fields wrote:
> 
> The simplest way to understand the current behavior is probably to
> install the latest git, read the git-clone man page, clone a new
> repository, and take a look at it.

This should be mentioned in the 1.5 release notes --- that you won't
see a lot of the power the new git unless you create a new repository
using git-clone.  For example, the man page for git-branch says that
"git branch -r" will list remote branches won't print anything if the
repository was originally cloned using an older version of git.  

(I was using the version that shipped with Ubuntu Edgy before I
recently upgraded to the bleeding edge "next" branch so I could try
out the latest and greatest git features that was being discussed on
the mailing list.  :-)

						- Ted